<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Wed Mar 13 11:46:20 CET 2019 -->
<title>Rectangle</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2019-03-13">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Rectangle";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Rectangle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hr.fer.zemris.java.hw01</a></div>
<h2 title="Class Rectangle" class="title">Class Rectangle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hr.fer.zemris.java.hw01.Rectangle</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Rectangle</span>
extends java.lang.Object</pre>
<div class="block">Class <code>Rectangle</code> enables calculation of a rectangle area and circumference.
 User inputs via standard input or direct input parameters to main program rectangle dimensions (width and height)</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Leo Plese</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#height">height</a></span></code></th>
<td class="colLast">
<div class="block">Values of rectangle dimensions - width and height (real numbers).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#width">width</a></span></code></th>
<td class="colLast">
<div class="block">Values of rectangle dimensions - width and height (real numbers).</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Rectangle</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculateArea(double,double)">calculateArea</a></span>&#8203;(double&nbsp;width,
             double&nbsp;height)</code></th>
<td class="colLast">
<div class="block">Method calculating area of a rectangle.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculateCircumference(double,double)">calculateCircumference</a></span>&#8203;(double&nbsp;width,
                      double&nbsp;height)</code></th>
<td class="colLast">
<div class="block">Method calculating circumference of a rectangle.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#enterRectangleDimension(java.util.Scanner,java.lang.String)">enterRectangleDimension</a></span>&#8203;(java.util.Scanner&nbsp;sc,
                       java.lang.String&nbsp;dimensionName)</code></th>
<td class="colLast">
<div class="block">Method parsing input string into a real number (under the restriction set to it).</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDimensionValue(java.lang.String)">getDimensionValue</a></span>&#8203;(java.lang.String&nbsp;entry)</code></th>
<td class="colLast">
<div class="block">Method called in <code>enterRectangleDimension</code> to try to parse the input string as a real number.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRectangleDimension(java.lang.String)">getRectangleDimension</a></span>&#8203;(java.lang.String&nbsp;dimensionEntry)</code></th>
<td class="colLast">
<div class="block">Method parsing input string into a real number (under the restriction set to it).</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#main(java.lang.String...)">main</a></span>&#8203;(java.lang.String...&nbsp;args)</code></th>
<td class="colLast">
<div class="block">Main method calling additional methods to correctly interpret user input given over console or input arguments and finally calculate rectangle area and circumference.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>private static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#positiveValueCheck(double)">positiveValueCheck</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Method called in <code>enterRectangleDimension</code> and <code>getRectangleDimension</code> to check if it is positive.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>private static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#printInvalidEntryMessage(java.lang.String)">printInvalidEntryMessage</a></span>&#8203;(java.lang.String&nbsp;entry)</code></th>
<td class="colLast">
<div class="block">Method called in <code>enterRectangleDimension</code> to print out the suitable message if the input cannot be interpreted as a number.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>private static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#printInvalidNumberRangeMessage()">printInvalidNumberRangeMessage</a></span>()</code></th>
<td class="colLast">
<div class="block">Method called in <code>enterRectangleDimension</code> to print out the suitable message if the input is negative or zero (not from allowed range).</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="width">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>width</h4>
<pre>private&nbsp;double width</pre>
<div class="block">Values of rectangle dimensions - width and height (real numbers).</div>
</li>
</ul>
<a id="height">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>height</h4>
<pre>private&nbsp;double height</pre>
<div class="block">Values of rectangle dimensions - width and height (real numbers).</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Rectangle</h4>
<pre>public&nbsp;Rectangle()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="main(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;main&#8203;(java.lang.String...&nbsp;args)</pre>
<div class="block">Main method calling additional methods to correctly interpret user input given over console or input arguments and finally calculate rectangle area and circumference.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - two input arguments - rectangle width and height respectively (real numbers)</dd>
</dl>
</li>
</ul>
<a id="getRectangleDimension(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRectangleDimension</h4>
<pre class="methodSignature">private static&nbsp;double&nbsp;getRectangleDimension&#8203;(java.lang.String&nbsp;dimensionEntry)
                                     throws java.lang.NumberFormatException,
                                            java.lang.IllegalArgumentException</pre>
<div class="block">Method parsing input string into a real number (under the restriction set to it).
 The method is specifically adjusted to and used in the case of user input via input arguments to the program.
 
 Important restriction: <code>dimension</code> has to be a positive real number</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dimensionEntry</code> - string representing width or height of a rectangle which is to be parsed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>real number representing value of the input rectangle dimension</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NumberFormatException</code> - thrown if the input string representation of a rectangle width/height cannot be interpreted as a real number</dd>
<dd><code>java.lang.IllegalArgumentException</code> - thrown if the input is not from allowed range (positive number)</dd>
</dl>
</li>
</ul>
<a id="enterRectangleDimension(java.util.Scanner,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterRectangleDimension</h4>
<pre class="methodSignature">private static&nbsp;double&nbsp;enterRectangleDimension&#8203;(java.util.Scanner&nbsp;sc,
                                              java.lang.String&nbsp;dimensionName)</pre>
<div class="block">Method parsing input string into a real number (under the restriction set to it).
 The method is specifically adjusted to and used in the case of user input via console.
 
 Important restriction: <code>dimension</code> has to be a positive real number</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sc</code> - <code>Scanner</code> object used for user console interaction</dd>
<dd><code>dimensionName</code> - String representing the name of a rectangle dimension (e.g. "širinu", "visinu")</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>real number representing value of the input rectangle dimension</dd>
</dl>
</li>
</ul>
<a id="getDimensionValue(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDimensionValue</h4>
<pre class="methodSignature">private static&nbsp;double&nbsp;getDimensionValue&#8203;(java.lang.String&nbsp;entry)
                                 throws java.lang.NumberFormatException</pre>
<div class="block">Method called in <code>enterRectangleDimension</code> to try to parse the input string as a real number.
 The method is specifically adjusted to and used in the case of user input via console.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>entry</code> - string representing to be parsed into a valid rectangle dimension value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>dimension value (real number)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NumberFormatException</code> - thrown if the parsing was not successful</dd>
</dl>
</li>
</ul>
<a id="positiveValueCheck(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>positiveValueCheck</h4>
<pre class="methodSignature">private static&nbsp;boolean&nbsp;positiveValueCheck&#8203;(double&nbsp;value)</pre>
<div class="block">Method called in <code>enterRectangleDimension</code> and <code>getRectangleDimension</code> to check if it is positive.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - real number to be checked whether it is positive (dimension must not be a negative number or zero)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean telling if value is positive</dd>
</dl>
</li>
</ul>
<a id="printInvalidEntryMessage(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printInvalidEntryMessage</h4>
<pre class="methodSignature">private static&nbsp;void&nbsp;printInvalidEntryMessage&#8203;(java.lang.String&nbsp;entry)</pre>
<div class="block">Method called in <code>enterRectangleDimension</code> to print out the suitable message if the input cannot be interpreted as a number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>entry</code> - entry which appears in the message</dd>
</dl>
</li>
</ul>
<a id="printInvalidNumberRangeMessage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printInvalidNumberRangeMessage</h4>
<pre class="methodSignature">private static&nbsp;void&nbsp;printInvalidNumberRangeMessage()</pre>
<div class="block">Method called in <code>enterRectangleDimension</code> to print out the suitable message if the input is negative or zero (not from allowed range).</div>
</li>
</ul>
<a id="calculateArea(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateArea</h4>
<pre class="methodSignature">private static&nbsp;double&nbsp;calculateArea&#8203;(double&nbsp;width,
                                    double&nbsp;height)</pre>
<div class="block">Method calculating area of a rectangle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - rectangle width value (real positive number)</dd>
<dd><code>height</code> - rectangle height value (real positive number)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>rectangle area (real positive number) calculated using geometry rectangle area formula: area = width * height</dd>
</dl>
</li>
</ul>
<a id="calculateCircumference(double,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>calculateCircumference</h4>
<pre class="methodSignature">private static&nbsp;double&nbsp;calculateCircumference&#8203;(double&nbsp;width,
                                             double&nbsp;height)</pre>
<div class="block">Method calculating circumference of a rectangle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - rectangle width value (real positive number)</dd>
<dd><code>height</code> - rectangle height value (real positive number)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>rectangle circumference (real positive number) calculated using geometry rectangle area formula: area = 2 * (width + height)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Rectangle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
